<?php
/**
 * Classe com as funções para manipular o acesso ao mysql
 */
class Mysql extends BancoCLS{


	function Mysql($usuario, $senha, $servidor, $base, $porta){
		if($porta == ''){
			$porta = 3306;
		}
		$this->usuario 		= $usuario;
		$this->senha 		= $senha;
		$this->servidor 	= $servidor;
		$this->base 		= $base;
		$this->porta		= $porta;
	}

	function connect(){
		$this->conn = mysqli_connect($this->servidor , $this->usuario, $this->senha, $this->base);
		
		if(!$this->conn) {
			$this->setErro('Erro ao conectar no servidor mysql.<br />'.mysqli_connect_error());
			return false;
		}

		mysqli_query($this->conn, "SET NAMES 'utf8';");
		return true;
	}
	
	function query($sql) {
		$rs = mysqli_query($this->conn,	$sql);

		if(!$rs)
			$this->setErro('<p>'.$sql.'</p>Erro-> '.mysqli_connect_error());

		return $rs;
	}
	
	function fetchRow(&$rs){
		if ($rs) 
			// return mysqli_fetch_array($rs);
			return mysqli_fetch_assoc($rs);
	}
	
	function close(){
		mysqli_close($this->conn);
	}
	
	function numRows(&$rs){
		return mysqli_num_rows(	$rs	);
	}
	
	function isError(){
		return $this->erro;
	}
	
	function ultimoId(){
		return mysqli_insert_id();
	}
}
